microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Rubrikparametrar
Foundry-Features
enum
krävs
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Sökvägsparametrar
name
string
krävs
The name of the memory store.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Begärandetext
Content-Type: application/json
scope
string
krävs
The namespace that logically groups and isolates memories to delete, such as a user ID.
Svar
The request has succeeded.
Brödtext
Content-Type: application/json
object
enum
krävs
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
krävs
The name of the memory store.
scope
string
krävs
The scope from which memories were deleted.
deleted
boolean
krävs
Whether the deletion operation was successful.
Förfrågan
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json